jQuery(document).ready(function($){

    $(document).on('click', '#auction-bidding-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'auction_bidding_dismiss_notice'
            }
        });

    });

});